(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('rxjs'), require('@angular/common')) :
    typeof define === 'function' && define.amd ? define('angular-baidu-maps', ['exports', '@angular/core', 'rxjs', '@angular/common'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory(global['angular-baidu-maps'] = {}, global.ng.core, global.rxjs, global.ng.common));
}(this, (function (exports, i0, rxjs, common) { 'use strict';

    function _interopNamespace(e) {
        if (e && e.__esModule) return e;
        var n = Object.create(null);
        if (e) {
            Object.keys(e).forEach(function (k) {
                if (k !== 'default') {
                    var d = Object.getOwnPropertyDescriptor(e, k);
                    Object.defineProperty(n, k, d.get ? d : {
                        enumerable: true,
                        get: function () {
                            return e[k];
                        }
                    });
                }
            });
        }
        n['default'] = e;
        return Object.freeze(n);
    }

    var i0__namespace = /*#__PURE__*/_interopNamespace(i0);

    var AbmConfig = /** @class */ (function () {
        function AbmConfig() {
        }
        return AbmConfig;
    }());

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation.

    Permission to use, copy, modify, and/or distribute this software for any
    purpose with or without fee is hereby granted.

    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
    REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
    AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
    INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
    LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
    PERFORMANCE OF THIS SOFTWARE.
    ***************************************************************************** */
    /* global Reflect, Promise */
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b)
                if (Object.prototype.hasOwnProperty.call(b, p))
                    d[p] = b[p]; };
        return extendStatics(d, b);
    };
    function __extends(d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }
    var __assign = function () {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s)
                    if (Object.prototype.hasOwnProperty.call(s, p))
                        t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };
    function __rest(s, e) {
        var t = {};
        for (var p in s)
            if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
                t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }
    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
            r = Reflect.decorate(decorators, target, key, desc);
        else
            for (var i = decorators.length - 1; i >= 0; i--)
                if (d = decorators[i])
                    r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }
    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); };
    }
    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
            return Reflect.metadata(metadataKey, metadataValue);
    }
    function __awaiter(thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try {
                step(generator.next(value));
            }
            catch (e) {
                reject(e);
            } }
            function rejected(value) { try {
                step(generator["throw"](value));
            }
            catch (e) {
                reject(e);
            } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }
    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function () { if (t[0] & 1)
                throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function () { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f)
                throw new TypeError("Generator is already executing.");
            while (_)
                try {
                    if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
                        return t;
                    if (y = 0, t)
                        op = [op[0] & 2, t.value];
                    switch (op[0]) {
                        case 0:
                        case 1:
                            t = op;
                            break;
                        case 4:
                            _.label++;
                            return { value: op[1], done: false };
                        case 5:
                            _.label++;
                            y = op[1];
                            op = [0];
                            continue;
                        case 7:
                            op = _.ops.pop();
                            _.trys.pop();
                            continue;
                        default:
                            if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                                _ = 0;
                                continue;
                            }
                            if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) {
                                _.label = op[1];
                                break;
                            }
                            if (op[0] === 6 && _.label < t[1]) {
                                _.label = t[1];
                                t = op;
                                break;
                            }
                            if (t && _.label < t[2]) {
                                _.label = t[2];
                                _.ops.push(op);
                                break;
                            }
                            if (t[2])
                                _.ops.pop();
                            _.trys.pop();
                            continue;
                    }
                    op = body.call(thisArg, _);
                }
                catch (e) {
                    op = [6, e];
                    y = 0;
                }
                finally {
                    f = t = 0;
                }
            if (op[0] & 5)
                throw op[1];
            return { value: op[0] ? op[1] : void 0, done: true };
        }
    }
    var __createBinding = Object.create ? (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        Object.defineProperty(o, k2, { enumerable: true, get: function () { return m[k]; } });
    }) : (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        o[k2] = m[k];
    });
    function __exportStar(m, o) {
        for (var p in m)
            if (p !== "default" && !Object.prototype.hasOwnProperty.call(o, p))
                __createBinding(o, m, p);
    }
    function __values(o) {
        var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
        if (m)
            return m.call(o);
        if (o && typeof o.length === "number")
            return {
                next: function () {
                    if (o && i >= o.length)
                        o = void 0;
                    return { value: o && o[i++], done: !o };
                }
            };
        throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    }
    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m)
            return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
                ar.push(r.value);
        }
        catch (error) {
            e = { error: error };
        }
        finally {
            try {
                if (r && !r.done && (m = i["return"]))
                    m.call(i);
            }
            finally {
                if (e)
                    throw e.error;
            }
        }
        return ar;
    }
    /** @deprecated */
    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }
    /** @deprecated */
    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++)
            s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    }
    function __spreadArray(to, from) {
        for (var i = 0, il = from.length, j = to.length; i < il; i++, j++)
            to[j] = from[i];
        return to;
    }
    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }
    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n])
            i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try {
            step(g[n](v));
        }
        catch (e) {
            settle(q[0][3], e);
        } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length)
            resume(q[0][0], q[0][1]); }
    }
    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }
    function __asyncValues(o) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function (v) { resolve({ value: v, done: d }); }, reject); }
    }
    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) {
            Object.defineProperty(cooked, "raw", { value: raw });
        }
        else {
            cooked.raw = raw;
        }
        return cooked;
    }
    ;
    var __setModuleDefault = Object.create ? (function (o, v) {
        Object.defineProperty(o, "default", { enumerable: true, value: v });
    }) : function (o, v) {
        o["default"] = v;
    };
    function __importStar(mod) {
        if (mod && mod.__esModule)
            return mod;
        var result = {};
        if (mod != null)
            for (var k in mod)
                if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
                    __createBinding(result, mod, k);
        __setModuleDefault(result, mod);
        return result;
    }
    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }
    function __classPrivateFieldGet(receiver, state, kind, f) {
        if (kind === "a" && !f)
            throw new TypeError("Private accessor was defined without a getter");
        if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver))
            throw new TypeError("Cannot read private member from an object whose class did not declare it");
        return kind === "m" ? f : kind === "a" ? f.call(receiver) : f ? f.value : state.get(receiver);
    }
    function __classPrivateFieldSet(receiver, state, value, kind, f) {
        if (kind === "m")
            throw new TypeError("Private method is not writable");
        if (kind === "a" && !f)
            throw new TypeError("Private accessor was defined without a setter");
        if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver))
            throw new TypeError("Cannot write private member to an object whose class did not declare it");
        return (kind === "a" ? f.call(receiver, value) : f ? f.value = value : state.set(receiver, value)), value;
    }

    var LoaderService = /** @class */ (function () {
        function LoaderService(cog, doc) {
            this.doc = doc;
            this._cog = Object.assign({ apiProtocol: 'auto', apiVersion: '3.0', apiCallback: 'angularBaiduMapsLoader', apiHostAndPath: 'api.map.baidu.com/api' }, cog);
        }
        LoaderService.prototype.load = function () {
            var _this = this;
            if (this._scriptLoadingPromise) {
                return this._scriptLoadingPromise;
            }
            this._scriptLoadingPromise = new Promise(function (resolve, reject) {
                _this.loadScript(_this._getSrc(), _this._cog.apiCallback)
                    .then(function () {
                    var libs = _this._cog.libraries || [];
                    if (libs.length === 0) {
                        return Promise.resolve();
                    }
                    return Promise.all(libs.map(function (src) { return _this.loadScript(src); })).then(function () { return Promise.resolve(); });
                })
                    .then(resolve)
                    .catch(reject);
            });
            return this._scriptLoadingPromise;
        };
        LoaderService.prototype.loadScript = function (src, callback) {
            var script = this.doc.createElement('script');
            script.type = 'text/javascript';
            script.async = true;
            script.defer = true;
            script.src = src;
            var res = new Promise(function (resolve, reject) {
                script.onload = function () {
                    if (callback) {
                        window[callback] = function () {
                            resolve();
                        };
                    }
                    else {
                        resolve();
                    }
                };
                script.onerror = function (error) {
                    reject(error);
                };
            });
            this.doc.body.appendChild(script);
            return res;
        };
        LoaderService.prototype._getSrc = function () {
            var protocol;
            var _a = this._cog, apiProtocol = _a.apiProtocol, apiVersion = _a.apiVersion, apiKey = _a.apiKey, apiCallback = _a.apiCallback, apiHostAndPath = _a.apiHostAndPath;
            switch (apiProtocol) {
                case 'http':
                    protocol = 'http:';
                    break;
                case 'https':
                    protocol = 'https:';
                    break;
                case 'file':
                    protocol = 'file:';
                    break;
                default:
                    protocol = '';
                    break;
            }
            var queryParams = {
                v: apiVersion,
                ak: apiKey,
                callback: apiCallback,
            };
            var params = Object.keys(queryParams)
                .filter(function (k) { return queryParams[k] != null; })
                .filter(function (k) {
                return !Array.isArray(queryParams[k]) || (Array.isArray(queryParams[k]) && queryParams[k].length > 0);
            })
                .map(function (k) {
                var i = queryParams[k];
                if (Array.isArray(i)) {
                    return { key: k, value: i.join(',') };
                }
                return { key: k, value: i };
            })
                .map(function (entry) {
                return entry.key + "=" + entry.value;
            })
                .join('&');
            return protocol + "//" + apiHostAndPath + "?" + params;
        };
        return LoaderService;
    }());
    LoaderService.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.2", ngImport: i0__namespace, type: LoaderService, deps: [{ token: AbmConfig }, { token: common.DOCUMENT }], target: i0__namespace.ɵɵFactoryTarget.Injectable });
    LoaderService.ɵprov = i0__namespace.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "12.0.2", ngImport: i0__namespace, type: LoaderService });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.2", ngImport: i0__namespace, type: LoaderService, decorators: [{
                type: i0.Injectable
            }], ctorParameters: function () {
            return [{ type: AbmConfig }, { type: undefined, decorators: [{
                            type: i0.Inject,
                            args: [common.DOCUMENT]
                        }] }];
        } });

    var AbmBaseComponent = /** @class */ (function () {
        function AbmBaseComponent(el, COG, zone, loader) {
            this.el = el;
            this.COG = COG;
            this.zone = zone;
            this.loader = loader;
            this.destroy$ = new rxjs.Subject();
            this.ready = new i0.EventEmitter();
            this.config = Object.assign({ apiProtocol: 'auto', apiVersion: '3.0', apiCallback: 'angularBaiduMapsLoader', apiHostAndPath: 'api.map.baidu.com/api' }, COG);
        }
        AbmBaseComponent.prototype._updateOptions = function () {
            this.options = Object.assign(Object.assign({}, this.defaultOptions()), this.options);
            var map = this.map;
            if (map && map.setOptions) {
                map.setOptions(this.options);
            }
        };
        AbmBaseComponent.prototype._initMap = function () {
            var _this = this;
            if (this.map) {
                return;
            }
            this.loader
                .load()
                .then(function () {
                _this.zone.runOutsideAngular(function () { return _this.create(); });
                _this.ready.emit(_this.map);
            })
                .catch(function (error) {
                console.warn('js加载失败', error);
            });
        };
        AbmBaseComponent.prototype._getSrc = function () {
            var protocol;
            var _a = this.config, apiProtocol = _a.apiProtocol, apiHostAndPath = _a.apiHostAndPath, apiVersion = _a.apiVersion, apiKey = _a.apiKey, apiCallback = _a.apiCallback;
            switch (apiProtocol) {
                case 'http':
                    protocol = 'http:';
                    break;
                case 'https':
                    protocol = 'https:';
                    break;
                case 'file':
                    protocol = 'file:';
                    break;
                default:
                    protocol = '';
                    break;
            }
            var queryParams = {
                v: apiVersion,
                ak: apiKey,
                callback: apiCallback,
            };
            var params = Object.keys(queryParams)
                .filter(function (k) { return queryParams[k] != null; })
                .filter(function (k) {
                return !Array.isArray(queryParams[k]) || (Array.isArray(queryParams[k]) && queryParams[k].length > 0);
            })
                .map(function (k) {
                var i = queryParams[k];
                if (Array.isArray(i)) {
                    return { key: k, value: i.join(',') };
                }
                return { key: k, value: i };
            })
                .map(function (entry) {
                return entry.key + "=" + entry.value;
            })
                .join('&');
            return protocol + "//" + apiHostAndPath + "?" + params;
        };
        AbmBaseComponent.prototype.ngOnInit = function () {
            if (!(typeof document === 'object' && !!document)) {
                return;
            }
            this._initMap();
        };
        AbmBaseComponent.prototype.ngOnChanges = function (changes) {
            if ('options' in changes) {
                this._updateOptions();
            }
        };
        AbmBaseComponent.prototype.ngOnDestroy = function () {
            this.destroy();
            this.destroy$.next();
            this.destroy$.complete();
        };
        return AbmBaseComponent;
    }());
    AbmBaseComponent.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.2", ngImport: i0__namespace, type: AbmBaseComponent, deps: [{ token: i0__namespace.ElementRef }, { token: AbmConfig }, { token: i0__namespace.NgZone }, { token: LoaderService }], target: i0__namespace.ɵɵFactoryTarget.Directive });
    AbmBaseComponent.ɵdir = i0__namespace.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.0.2", type: AbmBaseComponent, inputs: { options: "options" }, outputs: { ready: "ready" }, usesOnChanges: true, ngImport: i0__namespace });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.2", ngImport: i0__namespace, type: AbmBaseComponent, decorators: [{
                type: i0.Directive
            }], ctorParameters: function () { return [{ type: i0__namespace.ElementRef }, { type: AbmConfig }, { type: i0__namespace.NgZone }, { type: LoaderService }]; }, propDecorators: { options: [{
                    type: i0.Input
                }], ready: [{
                    type: i0.Output
                }] } });

    var AbmComponent = /** @class */ (function (_super) {
        __extends(AbmComponent, _super);
        function AbmComponent() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        AbmComponent.prototype.defaultOptions = function () {
            return this.COG.mapOptions;
        };
        AbmComponent.prototype.create = function () {
            try {
                this.map = new BMap.Map(this.el.nativeElement, this.options);
            }
            catch (ex) {
                console.warn('地图初始化失败', ex);
            }
        };
        AbmComponent.prototype.destroy = function () {
            if (this.map) {
                this.map.clearOverlays();
                this.map.clearHotspots();
            }
        };
        return AbmComponent;
    }(AbmBaseComponent));
    AbmComponent.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.2", ngImport: i0__namespace, type: AbmComponent, deps: null, target: i0__namespace.ɵɵFactoryTarget.Component });
    AbmComponent.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.2", type: AbmComponent, selector: "abm-map, [abm-map]", host: { properties: { "class.angular-baidu-maps-container": "true" } }, exportAs: ["abmMap"], usesInheritance: true, ngImport: i0__namespace, template: "", isInline: true, styles: ["\n      .angular-baidu-maps-container {\n        display: block;\n        width: 100%;\n        height: 100%;\n      }\n    "], changeDetection: i0__namespace.ChangeDetectionStrategy.OnPush, encapsulation: i0__namespace.ViewEncapsulation.None });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.2", ngImport: i0__namespace, type: AbmComponent, decorators: [{
                type: i0.Component,
                args: [{
                        selector: 'abm-map, [abm-map]',
                        exportAs: 'abmMap',
                        template: "",
                        styles: [
                            "\n      .angular-baidu-maps-container {\n        display: block;\n        width: 100%;\n        height: 100%;\n      }\n    ",
                        ],
                        host: {
                            '[class.angular-baidu-maps-container]': 'true',
                        },
                        encapsulation: i0.ViewEncapsulation.None,
                        changeDetection: i0.ChangeDetectionStrategy.OnPush,
                    }]
            }] });

    var AbmPanoramaComponent = /** @class */ (function (_super) {
        __extends(AbmPanoramaComponent, _super);
        function AbmPanoramaComponent() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        AbmPanoramaComponent.prototype.defaultOptions = function () {
            return this.COG.panoramaOptions;
        };
        AbmPanoramaComponent.prototype.create = function () {
            try {
                this.map = new BMap.Panorama(this.el.nativeElement, this.options);
            }
            catch (ex) {
                console.warn('全景初始化失败', ex);
            }
        };
        AbmPanoramaComponent.prototype.destroy = function () { };
        return AbmPanoramaComponent;
    }(AbmBaseComponent));
    AbmPanoramaComponent.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.2", ngImport: i0__namespace, type: AbmPanoramaComponent, deps: null, target: i0__namespace.ɵɵFactoryTarget.Component });
    AbmPanoramaComponent.ɵcmp = i0__namespace.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.2", type: AbmPanoramaComponent, selector: "abm-panorama, [abm-panorama]", host: { properties: { "class.angular-baidu-maps-container": "true" } }, exportAs: ["abmPanoramaMap"], usesInheritance: true, ngImport: i0__namespace, template: "", isInline: true, styles: ["\n      .angular-baidu-maps-container {\n        display: block;\n        width: 100%;\n        height: 100%;\n      }\n    "], changeDetection: i0__namespace.ChangeDetectionStrategy.OnPush, encapsulation: i0__namespace.ViewEncapsulation.None });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.2", ngImport: i0__namespace, type: AbmPanoramaComponent, decorators: [{
                type: i0.Component,
                args: [{
                        selector: 'abm-panorama, [abm-panorama]',
                        exportAs: 'abmPanoramaMap',
                        template: "",
                        styles: [
                            "\n      .angular-baidu-maps-container {\n        display: block;\n        width: 100%;\n        height: 100%;\n      }\n    ",
                        ],
                        host: {
                            '[class.angular-baidu-maps-container]': 'true',
                        },
                        encapsulation: i0.ViewEncapsulation.None,
                        changeDetection: i0.ChangeDetectionStrategy.OnPush,
                    }]
            }] });

    var AbmModule = /** @class */ (function () {
        function AbmModule() {
        }
        AbmModule.forRoot = function (config) {
            return {
                ngModule: AbmModule,
                providers: [{ provide: AbmConfig, useValue: config }],
            };
        };
        return AbmModule;
    }());
    AbmModule.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.2", ngImport: i0__namespace, type: AbmModule, deps: [], target: i0__namespace.ɵɵFactoryTarget.NgModule });
    AbmModule.ɵmod = i0__namespace.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.0.2", ngImport: i0__namespace, type: AbmModule, declarations: [AbmComponent, AbmPanoramaComponent], imports: [common.CommonModule], exports: [AbmComponent, AbmPanoramaComponent] });
    AbmModule.ɵinj = i0__namespace.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.0.2", ngImport: i0__namespace, type: AbmModule, providers: [LoaderService], imports: [[common.CommonModule]] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.2", ngImport: i0__namespace, type: AbmModule, decorators: [{
                type: i0.NgModule,
                args: [{
                        imports: [common.CommonModule],
                        providers: [LoaderService],
                        declarations: [AbmComponent, AbmPanoramaComponent],
                        exports: [AbmComponent, AbmPanoramaComponent],
                    }]
            }] });

    /**
     * Generated bundle index. Do not edit.
     */

    exports.AbmComponent = AbmComponent;
    exports.AbmConfig = AbmConfig;
    exports.AbmModule = AbmModule;
    exports.AbmPanoramaComponent = AbmPanoramaComponent;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=angular-baidu-maps.umd.js.map
